# $Revision: 1.3 $, $Date: 2006/05/30 08:57:47 $
%define		_plugin	quicksave
%define		mversion	1.1.0
Summary:	Plugin that protects messages during composition
Summary(pl):	Wtyczka chronica wiadomoci w czasie ich tworzenia
Name:		squirrelmail-plugin-%{_plugin}
Version:	2.3
Release:	1
License:	GPL
Group:		Applications/Mail
Source0:	http://www.squirrelmail.org/plugins/%{_plugin}-%{version}-%{mversion}.tar.gz
# Source0-md5:	c60c68aace4eb67ccba4282327b13fdc
URL:		http://www.squirrelmail.org/
Requires:	squirrelmail >= 1.4.6-2
Requires:	squirrelmail-compatibility-2.0.4
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_plugindir	%{_datadir}/squirrelmail/plugins/%{_plugin}

%description
This plugin automatically saves the email message being composed from
accidental wipe out by refreshing the right frame or otherwise leaving
the Compose page.

It's all javascript on the Compose page, plus a form that we're using
for storage in the left_main frame. User won't ever know that it's
installed unless he have lost a message and it can be recovered.

%description -l pl
Wtyczka automatycznie zapisujca tre wiadomoci w czasie jej
tworzenia. Chroni przed utrat tworzonej wiadomoci na skutek
przypadkowego odwieenia lub przeadowania strony.

Na wtyczk skada si javascript na stronie tworzenia wiadomoci oraz
formularz uywany do zapisywania w lewym panelu. Uytkownik nie bdzie
nawet wiedzia o istnieniu wtyczki do czasu a straci wiadomo i
bdzie w stanie j odzyska

%prep
%setup -q -n %{_plugin}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_plugindir} $RPM_BUILD_ROOT%{_sysconfdir}

install *.php $RPM_BUILD_ROOT%{_plugindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc INSTALL README
%dir %{_plugindir}
%{_plugindir}/*.php

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: squirrelmail-plugin-quicksave.spec,v $
Revision 1.3  2006/05/30 08:57:47  hawk
- R: squirrelmail-compatibility

Revision 1.2  2006/05/30 07:51:27  hawk
- oops! removed unecessary R: php-zlib

Revision 1.1  2006/05/29 13:56:06  hawk
- separated from squirrelmail.spec

